<?php

class Admin_ManageAlbums_CreateAlbum extends Admin_ManageAlbums {
	var $categories_value;
	public function __construct() {
		add_action('admin_menu',array(&$this,'admin_menu_create'),1);
		add_action('admin_footer', array(&$this,'smp_footer_script'),1);
		if($_GET['page'] == 'smugpress-create-album') {
			add_action('admin_head', array(&$this,'smp_create_album_javascript'),99);
		}
	}
	public function smp_create_album_javascript() {
		$this->renderer('javascript');
	}
	function admin_menu_create() {
		add_submenu_page('smugmug-manage-albums','Manage Album | SmugPress','Manage Album','manage_options',
			'smugmug-create-album',array(&$this,'smugmug_create_album'));
	}
	
	public function renderer($layout=false) {
		$this->class = get_class();
		$this->render($layout,$this->class);
	}
	function create_submit($new_album) {
		global $f;
		//print_r($new_album);
		foreach($new_album as $key => $var){
			switch($key) {
				case 'NewCategoryName':
					if(!empty($new_album['NewCategoryName'])) {
						$new_category = $f->categories_create(array('Name' => $new_album['NewCategoryName']));
						$new_album_create['CategoryID'] = $new_category['id'];
						$new_album['CategoryID'] = $new_category['id'];
					}
					break;
				case 'NewSubCategoryName':
					if(!empty($new_album['NewSubCategoryName'])) {
						$new_subcategory = $f->subcategories_create(array('CategoryID' => $new_album['CategoryID'], 'Name' => $new_album['NewSubCategoryName']));
						$new_album_create['SubCategoryID'] = $new_subcategory['id'];
					}
					break;
				default:
					if(!empty($var)) {
						$new_album_create[$key] = $var;
					}
					break;
			}
			
		}
		
		echo '<pre>';
			print_r($new_album);
		echo '</pre>';
		
		echo '<pre>';
			print_r($new_album_create);
		echo '</pre>';
		//print_r($new_album_create);
		if(!empty($new_album_create['Title']) && !empty($new_album_create['CategoryID'])) {
			$response = $f->albums_create($new_album_create);
			$f->clearCache();
			
			?>
			<script type="text/javascript" charset="utf-8">
				window.location = '<?php echo $url_for_admin.'admin.php?page=smugpress-manage-album&key='.$response['Key'].'&id='.$response['id']; ?>';
			</script>
			<?php
		}
		//print_r($response);
	}
	
	function smugmug_create_album() {
		global $f;
		$categories = $f->categories_get();
		//echo '<pre>';
			//print_r($categories);
		//echo '</pre>';
		for($i = 0; $i < count($categories); $i++) {
			$this->categories_value[$i]['value'] = $categories[$i]['id'];
			$this->categories_value[$i]['name'] = $categories[$i]['Name'];
		}
		array_push($this->categories_value,array('value' => 'new', 'name' => 'Create New'));
		//print_r($categories);
		
		if(!empty($_POST['Title']) && !empty($_POST['CategoryID'])) {
			//print_r($_POST['smugpress_create_new_album']);
			$new_album = $_POST;
			$this->create_submit($new_album);
			
		}
		$this->renderer('create-album');
	}
}

global $create_album;
$create_album = new Admin_ManageAlbums_CreateAlbum();