<?php
require('authorization/authorization.php');
require('frontend/frontend.php');

class Admin_Settings extends SmugPress {
    var $authorization;
    function __construct() {
        $this->authorization = new Admin_Settings_Authorization();
        $this->frontend = new Admin_Settings_Frontend();
        add_action('admin_menu',array(&$this,'admin_menu_create'),99);
        if( $_REQUEST['page'] == 'smugmug-settings' ) {
            add_action('admin_head', array(&$this,'smp_settings_javascript'),99);
        }
    }
    function smp_settings_javascript() {
        $this->renderer('javascript');
    }
    function admin_menu_create() {
        add_submenu_page('smugmug-plugin','Settings | SmugMug','Settings','manage_options',
            'smugmug-settings',array(&$this,'smugpress_settings'));
    }
    public function renderer($layout=false) {
        $this->class = get_class();
        $this->render($layout,$this->class);
    }
    function smugpress_settings() {
        $this->renderer('settings');
    }
	
}

global $smp_settings;
$smp_settings = new Admin_Settings();
