<div id="results">
			
</div>
<button id="edit-album-submit" class="button-primary"><?php esc_attr_e('Save Changes'); ?></button>

<form id="edit-album-form" method="post" accept-charset="utf-8">
	
	<?php //settings_fields('smugpress_options'); ?>
	<table class="form-table smugpress">
		<tbody>
			<tr valign="top">
				<th scope="row">Title:</th>
				<td>
					<?php $this->smugpress_field_creation(array('name' => 'Title'),$this->album,'text'); ?>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row">Description:</th>
				<td>
					<span class="description">Please give a few words about this album?</span><br />
					<?php $this->smugpress_field_creation(array('name' => 'Description'),$this->album,'textarea'); ?>
					
				</td>
			</tr>
			<tr valign="top">
				<th scope="row">Keywords:</th>
				<td>
					<?php $this->smugpress_field_creation(array('name' => 'Keyword'),$this->album,'text'); ?>
					&nbsp;&nbsp;<span class="description">Please enter keywords for this album separated by a comma</span>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row">Publically Viewable:</th>
				<td>
					<?php $this->smugpress_field_creation(array('name' => 'Public'),$this->album,'boolean'); ?>
					&nbsp;&nbsp;<span class="description">Should this Album be viewable to anyone who comes here or to SmugMug?</span>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row">Category:</th>
				<td>
					<?php $this->smugpress_field_creation(array(
					'name' => 'CategoryID','value' => $this->categories_value),$this->album['Category']['id'],'select'); ?>
					&nbsp;&nbsp;<span class="description">What category should this album be in?</span>
					
				</td>
			</tr>
			<tr id="new-category" valign="top" style="display:none;">
				<th scope="row">New Category Name:</th>
				<td>
					<?php $this->smugpress_field_creation(array(
					'name' => 'NewCategoryName'),$this->album,'text'); ?>
					&nbsp;&nbsp;<span class="description">What is the name of the new the new Category?</span>
			</tr>
			<?php //if(!empty($this->album['SubCategory']['id'])): ?>
			<tr valign="top">
				<th scope="row">Sub-Category:</th>
				<td>
					<?php $this->smugpress_field_creation(array(
					'name' => 'SubCategoryID','value' => $this->subcategories_value),$this->album['SubCategory']['id'],'select'); ?>
				</td>
			</tr>
			<tr id="new-subcategory" valign="top" style="display:none;">
				<th scope="row">Sub-Category Name:</th>
				<td>
					<?php $this->smugpress_field_creation(array(
					'name' => 'NewSubCategoryName'),$this->album,'text'); ?>
					&nbsp;&nbsp;<span class="description">What is the name of the new Sub Category?</span>
				</td>
			</tr>
			<?php //endif; ?>
			<tr valign="top">
				<th scope="row">Password:</th>
				<td>
					<?php $this->smugpress_field_creation(array('name' => 'Password'),$this->album,'text'); ?>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row">Password Hint:</th>
				<td>
					<?php $this->smugpress_field_creation(array('name' => 'PasswordHint'),$this->album,'text'); ?>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row">Thumbnails:</th>
				<td>
					<?php $this->smugpress_field_creation(array('name' => 'SquareThumbs', 'values' => array(
					array('title' => 'Square', 'value' => '1', 'description' => 'Crop thumbnails into squares?'),
					array('title' => 'Original', 'value' => '0', 'description' => 'Keep the aspect ratio of your photos?')
					)),$this->album,'radio'); ?>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row">Picture Sizes:</th>
				<td>
					<?php $this->smugpress_field_creation(array('names' => array('Larges','XLarges','X2Larges','X3Larges','Originals',))
					,$this->album,'checkbox'); ?>
					&nbsp;&nbsp;<span class="description">What sizes should be available to the visitor?</span>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row">Sort Direction:</th>
				<td>
					<?php $this->smugpress_field_creation(array('name' => 'SortDirection', 'values' => array(
					array('title' => 'Ascending', 'value' => '0', 'description' => '(1-99, A-Z, 1980-2004, etc)'),
					array('title' => 'Descending', 'value' => '1', 'description' => '(99-1, Z-A, 2004-1980, etc)')
					)),$this->album,'radio'); ?>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row">Sort Methond:</th>
				<td>
					<select name="SortMethod" id="SortMethod">
						<option value="" <?php echo ($this->album['SortMethod'] == '' ? 'selected="selected"' : ''); ?>>Select Sort Method</option>
						<option value="Position" <?php echo ($this->album['SortMethod'] == 'Position' ? 'selected="selected"' : ''); ?>>None</option>
						<option value="Caption" <?php echo ($this->album['SortMethod'] == 'Caption' ? 'selected="selected"' : ''); ?>>By caption</option>
						<option value="FileName" <?php echo ($this->album['SortMethod'] == 'FileName' ? 'selected="selected"' : ''); ?>>By filenames</option>
						<option value="Date" <?php echo ($this->album['SortMethod'] == 'Date' ? 'selected="selected"' : ''); ?>>By date uploaded</option>
						<option value="DateTime" <?php echo ($this->album['SortMethod'] == 'DateTime' ? 'selected="selected"' : ''); ?>>By date modified (if available)</option>
						<option value="DateTimeOriginal" <?php echo ($this->album['SortMethod'] == 'DateTimeOriginal' ? 'selected="selected"' : ''); ?>>By date taken (if available)</option>
					</select>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row">World Searchable:</th>
				<td>
					<?php $this->smugpress_field_creation(array('name' => 'WorldSearchable'),$this->album,'boolean'); ?>
					&nbsp;&nbsp;<span class="description">Allow search engines to index images from the album.</span>
				</td>
			</tr>
			<?php if(!empty($watermarks)): ?>
			<tr valign="top">
				<th scope="row">Apply Watermark:</th>
				<td>
					<?php $this->smugpress_field_creation(array('name' => 'Watermarking'),$this->album,'boolean'); ?>
					&nbsp;&nbsp;<span class="description">Enable automatic watermarking of images for the album.</span>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row">Watermark:</th>
				<td>
					<?php $this->smugpress_select(array(
					'name' => 'WatermarkID','value' => $categories_value),$this->album['WatermarkID']); ?>
					&nbsp;&nbsp;<span class="description">What watermark should be used?</span>
				</td>
			</tr>
			<?php endif; ?>
		</tbody>
	</table>
	
</form>

<button id="edit-album-submit" class="button-primary" style="margin-top:15px;"><?php esc_attr_e('Save Changes'); ?></button>