<div class="wrap">
			
	<h2>SmugMug Albums <a href="admin.php?page=smugmug-create-album" class="button-secondary">Add New Album</a></h2>
	<p>Click on the name of an album to manage that album</p>
	<table class="widefat">
		<thead>
		    <tr>
		        <th>SmugMug ID</th>
		        <th>Album Title</th>
		        <th>Category</th>
		        <th># of Images</th>
		        <th>Passworded</th>
		        <th>SmugMug Link</th>
		        <th>Delete Album</th>
		    </tr>
		</thead>
		<tfoot>
		    <tr>
		        <th>SmugMug ID</th>
		        <th>Album Title</th>
		        <th>Category</th>
		        <th># of Images</th>
		        <th>Passworded</th>
		        <th>SmugMug Link</th>
		        <th>Delete Album</th>
		    </tr>
		</tfoot>
		<tbody>
		   <?php foreach($this->albums as $album): ?>
                        <tr id="<?php echo $album['id']; ?>">
                            <td><?php echo $album['id']; ?></td>
                            <td><a href="admin.php?page=smugmug-manage-album&key=<?php echo $album['Key']; ?>&id=<?php echo $album['id']; ?>"><?php echo $album['Title']; ?></a></td>
                            <td><?php echo $album['Category']['Name']; ?></td>
                            <td><?php echo $album['ImageCount']; ?></td>
                            <td><?php echo ($album['Passworded'] == 1 ? 'Yes' : 'No'); ?></td>
                            <td><a target="_blank" href="<?php echo $album['URL']; ?>?iframe=true&width=850&height=700" rel="prettyPhoto[Albums]">Go to SmugMug</a></td>
                            <td>
                                <form action="" id="<?php echo $album['id']; ?>" method="post" accept-charset="utf-8">
                                    <input type="hidden" name="smugpress_delete_album" value="1" />
                                    <input type="hidden" name="smugpress_delete_album_id" value="<?php echo $album['id']; ?>" />
                                </form>
                                <button id="delete-album-<?php echo $album['id']; ?>" type="submit" class="button-secondary">Delete Album</button>
                                <div style="display:none;" id="dialog-delete-<?php echo $album['id']; ?>" title="Delete '<?php echo $album['Title']; ?>'?">
                                <p><span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>You are about to delete the album '<?php echo $album['Title'] ?>'. You will lose all data and pictures in this album.  Are you sure?</p>
                                </div>

                                <div style="display:none;" id="dialog-delete-final-<?php echo $album['id']; ?>" title="Are You Sure?">
                                    <p><span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>This is the last chance to not delete the album '<?php echo $album['Title'] ?>'. You will lose all data and pictures in this album.  Are you sure?</p>
                                </div>
                                <script type="text/javascript">
                                jQuery(function($) {
                                        var data_delete_<?php echo $album['id']; ?> = {
                                            action: 'delete_album',
                                            album_id: <?php echo $album['id']; ?>
                                        }
                                        $( "#dialog-delete-<?php echo $album['id']; ?>" ).dialog({
                                            resizable: false,
                                            width: 345,
                                            //height:140,
                                            modal: true,
                                            autoOpen: false,
                                            buttons: {
                                                "Continue": function() {
                                                    $( this ).dialog( "close" );
                                                    $( "#dialog-delete-final-<?php echo $album['id']; ?>" ).dialog( 'open' );
                                                },
                                                Cancel: function() {
                                                    $( this ).dialog( "close" );
                                                }
                                            }
                                        });
                                        $( "#dialog-delete-final-<?php echo $album['id']; ?>" ).dialog({
                                            resizable: false,
                                            width: 345,
                                            //height:140,
                                            modal: true,
                                            autoOpen: false,
                                            buttons: {
                                                "Delete Album": function() {
                                                    $( this ).dialog( "close" );
                                                    $.post(ajaxurl, data_delete_<?php echo $album['id']; ?>, function(data) {
                                                        $( 'tr#<?php echo $album['id']; ?>' ).html(data);
                                                        timeout_fade('tr#<?php echo $album['id']; ?>',2500);
                                                    });
                                                },
                                                Cancel: function() {
                                                    $( this ).dialog( "close" );
                                                }
                                            }
                                        });
                                        $('#delete-album-<?php echo $album['id']; ?>').click(function() {
                                            $("#dialog-delete-<?php echo $album['id']; ?>").dialog('open');
                                        });
                                    });
                                </script>
                            </td>
                        </tr>
                    <?php endforeach; ?>
		</tbody>
	</table>
</div>

